using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 文件库附件表
    /// </summary>
    [Description("文件库子表附件表")]
    public class T_OG_POLICY_DOCUMENT_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 文件库ID
        /// </summary>
        [Description("文件库")]
        [DataFieldForeignKey("Nav_PolicyDocumentDetail", "Nav_Files")]
        public Guid POLICY_DOCUMENT_DETAIL_ID { get; set; }
        /// <summary>
        /// 导航属性：文件库
        /// </summary>
        [Description("导航属性：文件库")]
        public T_OG_POLICY_DOCUMENT_DETAIL Nav_PolicyDocumentDetail { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
